Package org.apache.synapse.securevault.keystore

## Class AbstractKeyStoreLoader

- java.lang.Object
- - org.apache.synapse.securevault.keystore.AbstractKeyStoreLoader

- All Implemented Interfaces:
    `IKeyStoreLoader`
  Direct Known Subclasses:
    `JKSKeyStoreLoader`, `PKCS12KeyStoreLoader`

      public abstract class AbstractKeyStoreLoader
      extends Object
      implements IKeyStoreLoader

  Provides the base for loading KeyStores

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected org.apache.commons.logging.Log` | `log` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractKeyStoreLoader()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected KeyStore` | `getKeyStore​(String location, String storePassword, String storeType, String provider)` | Constructs a KeyStore based on keystore location , keystore password , keystore type and provider
    `protected void` | `handleException​(String msg)` |
    `protected void` | `handleException​(String msg, Exception e)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.synapse.securevault.IKeyStoreLoader

      `getKeyStore`

- - ### Field Detail

    - #### log

          protected org.apache.commons.logging.Log log

  - ### Constructor Detail

    - #### AbstractKeyStoreLoader

          protected AbstractKeyStoreLoader()

  - ### Method Detail

    - #### getKeyStore

          protected KeyStore getKeyStore​(String location,
                                         String storePassword,
                                         String storeType,
                                         String provider)

      Constructs a KeyStore based on keystore location , keystore password , keystore type and provider
      Parameters:
        `location` - The location of the KeyStore
        `storePassword` - Password to unlock KeyStore
        `storeType` - KeyStore type
        `provider` - Provider
      Returns:
        KeyStore Instance

    - #### handleException

          protected void handleException​(String msg,
                                         Exception e)

    - #### handleException

          protected void handleException​(String msg)